package edu.sjsu.rhinofaces;

import javax.faces.application.Application;
import javax.faces.application.ApplicationFactory;

/**
   Specifies what application should be used.
   @author Tom Austin
 */
public class RhinoApplicationFactory extends ApplicationFactory
{
   private Application application;

   /**
      Constructor.
    */
   public RhinoApplicationFactory()
   {
      this.application = new RhinoApplication();
   }

   /**
      Returns RhinoApplication.
      @see javax.faces.application.ApplicationFactory#getApplication()
    */
   @Override
   public Application getApplication()
   {
      return this.application;
   }

   /**
      @see javax.faces.application.ApplicationFactory#setApplication(javax.faces.application.Application)
    */
   @Override
   public void setApplication(Application app)
   {
      throw new UnsupportedOperationException("THA: Nope, you can't change this");
   }

}
